shipx	.db 38
ship	.db 0
wave	.db 0
counter	.db 0
xcounter	.db 0
keyvar	.db 0
score	.dw 0
bombnum		.db 0
missilenum	.db 0
upgrade		.db 0
selector	.db 0

gmem		.equ 	$9000

health		.equ	$8100
tempvar		.equ	health+1
highpos		.equ	tempvar+2
enemynum	.equ	highpos+2

;enemy data layout
; byte 1=direction
; byte 2=y pos
; byte 3=x pos
; byte 4=health
; byte 5=type
;			0=enemy 1
;			1=enemy 2
;			2=enemy 3
;			3=bigboss
;max 8 enemies = 40 bytes
enemydata	.equ enemynum+1

;bullet data layout
; byte 1=y pos bullet 1
; byte 2=x pos bullet 1
; etc....
bullet1		.equ enemydata+40 ; max 5 enemy bullets of each type
bullet2		.equ bullet1+10
bullet3		.equ bullet2+10
bullet4		.equ bullet3+10
yourbull1	.equ bullet4+10 ; max 8 bullets of this type
yourbull2	.equ yourbull1+16 ; max 7 bullets of this type
yourbull3	.equ yourbull2+14 ; max 7 bullets of this type
mbull		.equ yourbull3+14	;missile
bbull		.equ mbull+2		;bomb

maxenemynum	.equ bbull+2
tempcoord	.equ maxenemynum+1
clawy		.equ tempcoord+1
clawgot		.equ clawy+1
	;clawgot : 0=on way up, 1=on way down, 2+what it's got=it's got something!

;upgrade data layout
;byte 1=y pos upgrade
;byte 2=x pos upgrade
;byte 3=upgrade type
;	0=missile
;	1=bomb
;	2=energy
;	3=special
;max 8 upgrades
upxydata	.equ clawgot+1
door		.equ upxydata+24
doorwait	.equ door+1
missileon	.equ doorwait+1

;explosions data layout
; byte 1=y pos
; byte 2=x pos
; byte 3=stage (0-7)
; max 20 explosions
exdata		.equ missileon+1

leveldata
;level data layout
;byte 1=number of enemies
;byte 2=enemy 1 type
;byte 3=enemy 2 type
;byte 4=enemy 3 type, etc.
	.db 5, 0, 0, 0, 0, 0	;wave 1
	.db 5, 1, 1, 1, 1, 1
	.db 5, 2, 2, 2, 2, 2
	.db 5, 3, 0, 1, 2, 2
	.db 5, 0, 1, 2, 2, 4
	.db 5, 0, 0, 0, 0, 0	;wave 6
	.db 5, 1, 1, 1, 1, 1
	.db 5, 2, 2, 2, 2, 2
	.db 5, 3, 1, 1, 1, 2
	.db 5, 3, 3, 3, 3, 4
	.db 6, 0, 0, 0, 0, 0, 0		;wave 11
	.db 6, 1, 1, 1, 1, 1, 1
	.db 6, 2, 2, 2, 2, 2, 2
	.db 6, 3, 0, 1, 1, 2, 2
	.db 6, 0, 1, 1, 2, 2, 4
	.db 6, 0, 0, 0, 0, 0, 0		;wave 16
	.db 6, 1, 1, 1, 1, 1, 1
	.db 6, 2, 2, 2, 2, 2, 2
	.db 6, 3, 1, 0, 2, 2, 2
	.db 6, 3, 3, 3, 3, 3, 4
	.db 7, 0, 0, 0, 0, 0, 0, 0	;wave 21
	.db 7, 1, 1, 1, 1, 1, 1, 1
	.db 7, 2, 2, 2, 2, 2, 2, 2
	.db 7, 3, 0, 1, 2, 2, 2, 2
	.db 7, 1, 1, 2, 2, 2, 2, 4
	.db 7, 0, 0, 0, 0, 0, 0, 0	;wave 26
	.db 7, 1, 1, 1, 1, 1, 1, 1
	.db 7, 2, 2, 2, 2, 2, 2, 2
	.db 7, 3, 0, 0, 1, 1, 1, 2
	.db 7, 3, 3, 3, 3, 3, 3, 4
	.db 8, 0, 0, 0, 0, 0, 0, 0, 0	;wave 31
	.db 8, 1, 1, 1, 1, 1, 1, 1, 1
	.db 8, 2, 2, 2, 2, 2, 2, 2, 2
	.db 8, 3, 0, 1, 1, 1, 2, 2, 2
	.db 8, 0, 0, 0, 1, 2, 2, 2, 4
	.db 8, 0, 0, 0, 0, 0, 0, 0, 0	;wave 36
	.db 8, 1, 1, 1, 1, 1, 1, 1, 1
	.db 8, 2, 2, 2, 2, 2, 2, 2, 2
	.db 8, 4, 4, 4, 4, 4, 4, 4, 4
	.db 8, 3, 3, 3, 3, 3, 3, 3, 3	;wave 40
healthdata:
	.db 12, 18, 24, 40, 50

optionstring
	.text " Play Game"
	.text " View High Scores"
	.text " Acknowledgements"
	.text " Exit Game"
	.text "By: Thomas Williamson"
	.text "jedivsith@hotmail.com"

highscorestring1:
	.text "The Ideal High Scores:"
	.text "1."
	.text "2."
	.text "3."
	.text "4."
	.text "5."
	.text "Courtesy of Biobytes Soft!"

stringinputmatrix
	;11-20:
	.db "*{}^    ?XTOJE0  WSNID9 ZVRMHC8 "
	.db "YUQLGB7!?=PKFA6-54321  ."

acstring
	.text "PROGRAMMING AND GFX BY:"
	.text "Thomas Williamson"
	.text "BETA TESTERS:"
	.text "John Sheehan"
	.text "Andrew Kendrick"
	.text " "
	.text "THIS ONE BY:"
	.text "Biobytes Software"
	.text "jedivsith@hotmail.com"
	.text "jedivsith@yahoo.com"

.end
